/**
 * Ce fichier peut etre cree en utilisant l'option -GI de tao_idl, le fichier cree
 * aura le nom : ConvertisseurI.h
 */

#ifndef _EUROIMPL_H_
#define _EUROIMPL_H_

#include <string>
#include "ConvertisseurS.h"

using namespace std;

class EuroImpl : public POA_Convertisseur::Euro
{
protected :
	string m_devise;
	double m_taux;
	
public :
	EuroImpl() : POA_Convertisseur::Euro() {m_devise = "Francs", m_taux = 6.55957;}
	char* devise();
	CORBA::Double taux();
	void devise(const char* _devise);
	void taux(CORBA::Double _taux);
	CORBA::Double toDevise(CORBA::Double euro);
	CORBA::Double toEuro(CORBA::Double devise);
};

#endif /* ifndef */
